Loading...
Searching...
No Matches
gtsam::traits< const PinholeCamera< Calibration > > Struct Template Reference
Inheritance diagram for gtsam::traits< const PinholeCamera< Calibration > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< PinholeCamera< Calibration > >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< PinholeCamera< Calibration > >))
Public Member Functions inherited from gtsam::Testable< PinholeCamera< Calibration > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< PinholeCamera< Calibration > >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< PinholeCamera< Calibration > >
static TangentVector | Local (const PinholeCamera< Calibration > &origin, const PinholeCamera< Calibration > &other)
static PinholeCamera< Calibration > | Retract (const PinholeCamera< Calibration > &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< PinholeCamera< Calibration >, PinholeCamera< Calibration >::dimension >
static int | GetDimension (const PinholeCamera< Calibration > &)
Static Public Member Functions inherited from gtsam::Testable< PinholeCamera< Calibration > >
static void | Print (const PinholeCamera< Calibration > &m, const std::string &str="")
static bool | Equals (const PinholeCamera< Calibration > &m1, const PinholeCamera< Calibration > &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< PinholeCamera< Calibration > >
enum |
typedef PinholeCamera< Calibration > | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/geometry/PinholeCamera.h